Bug Hunting Session
Bug 126439 - CRASH: closing LibreOffice while 'Choose Item' dialog is open (gen)
Summary: CRASH: closing LibreOffice while 'Choose Item' dialog is open (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.2.6 target:6.3.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-07-17 09:17 UTC by Xisco Faulí
Modified: 2019-07-18 11:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["Dialog::Execute()"]


Attachments
sample file (8.05 KB, application/vnd.oasis.opendocument.text)
2019-07-17 09:18 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-07-17 09:17:58 UTC
Steps to reproduce:
1. Open attached document
2. Double click on the field
3. Close LibreOffice while the dialog is open

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 47a774fbef8c224e4853de3fdd0230b9442bb716
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-07-17 09:18:28 UTC
Created attachment 152825 [details]
sample file
Comment 2 Xisco Faulí 2019-07-17 09:19:48 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=26c375671aa362b2f59d84645784938677ae1719

author	Caolán McNamara <caolanm@redhat.com>	2018-10-04 12:41:22 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-01 22:12:33 +0100
commit	26c375671aa362b2f59d84645784938677ae1719 (patch)
tree	5ea3214bf75b3d612a6760597e16ab2cc041ce29
parent	d611d5535b818854f9c6c6d4c144c2e5a9155a1a (diff)
weld SwWordCountFloatDlg

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2019-07-17 18:09:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/16c9950b444f166ca18038bd968ba58e770bbd75%5E%21

Resolves: tdf#126439 dialog should be modal

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-07-17 18:10:33 UTC
backport to 6-3 and 6-2 in gerrit
Comment 5 Commit Notification 2019-07-18 05:11:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/02507a9e2bd37b5556895fc52dd94c8d17b2b770%5E%21

Resolves: tdf#126439 dialog should be modal

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-07-18 05:12:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/0de6b4b3ae8ed47fb21ed58e66a2753d4989a0d7%5E%21

Resolves: tdf#126439 dialog should be modal

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-07-18 11:14:34 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: cefce1a247a4674c5726a31b61571eab16328a0b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!